Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-5]: src/distrib/sets Pull up revision 1.17 (via patch, requeste...



details:   https://anonhg.NetBSD.org/src/rev/bc2254aa0cfd
branches:  netbsd-1-5
changeset: 492869:bc2254aa0cfd
user:      he <he%NetBSD.org@localhost>
date:      Tue Feb 26 20:07:40 2002 +0000

description:
Pull up revision 1.17 (via patch, requested by he):
  Collect exit status for all set constructions before exiting.

diffstat:

 distrib/sets/maketars |  9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diffs (29 lines):

diff -r 0f172ed9212b -r bc2254aa0cfd distrib/sets/maketars
--- a/distrib/sets/maketars     Tue Feb 26 19:51:55 2002 +0000
+++ b/distrib/sets/maketars     Tue Feb 26 20:07:40 2002 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: maketars,v 1.13.10.2 2002/02/23 18:27:47 he Exp $
+# $NetBSD: maketars,v 1.13.10.3 2002/02/26 20:07:40 he Exp $
 #
 # Make release tar files for some or all lists.  Usage:
 # maketars [-b] [-x] [-a arch] [-m machine] [-s setsdir] [-d destdir] \
@@ -77,11 +77,14 @@
        exit 1
 fi
 
-trap 'rm -f ${dest}/tmp/flist' 0
-set -e
+
+es=0
 for setname in $lists; do
        out=$setname.tgz
        echo "making $out"
        sh $setd/makeflist -a $arch -m $machine -s $setd $setname > ${dest}/tmp/flist
        (cd $dest ; pax -w -d -z < ${dest}/tmp/flist) > ${tars}/$out
+       es=`expr $es + $?`
 done
+rm -f ${dest}/tmp/flist
+exit $es
\ No newline at end of file



Home | Main Index | Thread Index | Old Index